.campaigns-view {
    gap: 24px;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 24px 24px 24px 48px;
    overflow: scroll;
}

.campaigns-view .card {
    width: 360px;
    max-height: 248px;
    box-sizing: border-box;
    padding: 24px;
    border-radius: 8px;
    background-color: var(--main-soft);
    overflow: hidden;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.filter-out {
    width: 0px;
    max-height: 0px;
    padding: 0;
}

.campaigns-view .card:hover {
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
}

.campaigns-view .card.active {
    width: 100%;
    height: 100vh;
    max-height: 100%;
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
    cursor: default;
}

.campaigns-view .card label.partner.placeholder {
    display: block;
    width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-bottom: 6px;
    background-color: var(--focus-hard);
    color: var(--text-color);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 1;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.partner.placeholder {
    display: none;
    opacity: 0;
    cursor: default;
}

.campaigns-view .card label.partner {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.partner {
    opacity: 1;
    cursor: default;
}

.campaigns-view .card select.partner {
    display: none;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 14px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active select.partner {
    display: block;
    font-size: 20px;
    cursor: pointer;
}

.campaigns-view .card.active select.partner:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.partner:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.partner.invalid {
    border-color: var(--alert);
}

.campaigns-view .card select.partner.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card label.partner.placeholder.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card .card-content {
    height: calc(100% - 29px);
    background-color: transparent;
    overflow: hidden;
}

.campaigns-view .card .content {
    width: 100%;
}

.campaigns-view .card.active .content {
    width: 40%;
}

.campaigns-view .card .md-preview {
    width: 0%;
    padding: 0;
    overflow: hidden;
}

.campaigns-view .card.active .md-preview {
    width: 60%;
}

.campaigns-view .card .action {
    position: relative;
    display: none;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    border-radius: 12px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    opacity: 0;
    overflow: visible;
    transition: 0.4s;
    cursor: pointer;
}

.campaigns-view .card.stable .action.save {
    display: none!important;
}

.campaigns-view .card.new .action.close {
    display: none!important;
}

.campaigns-view .card.new .action.archive {
    display: none!important;
}

.campaigns-view .card .action.save {
    background-color: var(--focus);
}

.campaigns-view .card .action.delete {
    background-color: var(--alert);
}

.campaigns-view .card .action.archive {
    background-color: var(--warning);
}

.campaigns-view .card .action.close {
    background-color: var(--theme);
}

.campaigns-view .card.active .action {
    display: flex;
    opacity: 1;
}

.campaigns-view .card.stable.active .action.delete {
    display: none;
}

.campaigns-view .card.edit.active .action.delete {
    display: none;
}

.campaigns-view .card.active .action:hover {
    padding: 0 12px;
}

.campaigns-view .card.active .action.save:hover {
    width: 72px;
}

.campaigns-view .card.active .action.close:hover {
    width: 76px;
}

.campaigns-view .card.active .action.delete:hover {
    width: 80px;
}

.campaigns-view .card.active .action.archive:hover {
    width: 86px;
}

.campaigns-view .card .action > img {
    height: 50%;
    width: auto;
    margin: 0 8px 0 6px;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card .action:hover > img {
    margin: 0 8px 0 0;
}

.campaigns-view .card .action > span {
    width: 0px;
    overflow: hidden;
    transition: 0.7s;
}

.campaigns-view .card .action:hover > span {
    width: fit-content;
}

.campaigns-view .card label.id {
    display: block;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.id {
    margin-top: 24px;
    opacity: 1;
    cursor: default;
}

.campaigns-view .card input.id {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 24px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card input.id.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active input.id {
    width: fit-content;
    font-size: 28px;
    cursor: text;
}

.campaigns-view .card.active input.id:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.id:disabled:hover {
    border-bottom: 1px solid transparent;
    cursor: default;
}

.campaigns-view .card.active input.id:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.id.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.agent {
    display: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    opacity: 0;
    cursor: pointer;
}

.campaigns-view .card.active label.agent {
    display: block;
    margin-top: 32px;
    opacity: 1;
    cursor: default;
}

.campaigns-view .card select.agent {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card select.agent.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active select.agent {
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: pointer;
}

.campaigns-view .card.active select.agent:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.agent:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.agent.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.phone {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.phone {
    margin-top: 32px;
    cursor: default;
}

.campaigns-view .card input.phone {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card input.phone.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active input.phone {
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: text;
}

.campaigns-view .card.active input.phone:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.phone:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.phone.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.company {
    display: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.company {
    display: block;
    margin-top: 32px;
    cursor: default;
}

.campaigns-view .card input.company {
    display: none;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card input.company.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active input.company {
    display: block;
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: text;
}

.campaigns-view .card.active input.company:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.company:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.company.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.topic {
    display: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.topic {
    display: block;
    margin-top: 32px;
    cursor: default;
}

.campaigns-view .card input.topic {
    display: none;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card input.topic.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active input.topic {
    display: block;
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: text;
}

.campaigns-view .card.active input.topic:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.topic:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.topic.invalid {
    border-color: var(--alert);
}
.campaigns-view .card label.style-prompt {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.style-prompt {
    margin-top: 32px;
    cursor: default;
}

.campaigns-view .card select.style-prompt {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card select.style-prompt.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active select.style-prompt {
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: pointer;
}

.campaigns-view .card.active select.style-prompt:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.style-prompt:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.style-prompt.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.sms-style-prompt {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.sms-style-prompt {
    margin-top: 32px;
    cursor: default;
}

.campaigns-view .card select.sms-style-prompt {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card select.sms-style-prompt.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active select.sms-style-prompt {
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: pointer;
}

.campaigns-view .card.active select.sms-style-prompt:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.sms-style-prompt:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active select.sms-style-prompt.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.classes {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 16px;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.classes {
    margin-top: 32px;
    cursor: default;
}

.campaigns-view .card input.classes {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card input.classes.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active input.classes {
    width: 100%;
    color: var(--text-color);
    font-size: 20px;
    cursor: text;
}

.campaigns-view .card.active input.classes:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.classes:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.campaigns-view .card.active input.classes.invalid {
    border-color: var(--alert);
}

.campaigns-view .card label.prompt {
    display: block;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active label.prompt {
    margin-top: 28px;
    opacity: 1;
    cursor: default;
}

.campaigns-view .card textarea.prompt {
    display: none;
    height: 180px;
    width: 100%;
    box-sizing: border-box;
    padding: 12px;
    border: 1px solid var(--focus-hard);
    border-radius: 6px;
    margin-top: 8px;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 14px;
    line-height: 15px;
    font-weight: 400;
    resize: none;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card textarea.prompt.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.campaigns-view .card.active textarea.prompt {
    display: block;
    height: 260px;
    cursor: text;
}

@media screen and (min-width: 2200px) {
    .campaigns-view .card.active textarea.prompt {
        height: 460px;
    }
  }

.campaigns-view .card.active textarea.prompt:hover {
    border: 1px solid var(--focus-hard);
}

.campaigns-view .card.active textarea.prompt:focus {
    border: 1px solid var(--focus-hard);
}

.campaigns-view .card.active textarea.prompt.invalid {
    border-color: var(--alert);
}

.campaigns-view .card.active .md-preview {
    margin-top: 0;
    box-sizing: border-box;
    padding: 24px 80px;
    padding-top: 24px;
    color: var(--text-color);
    font-family: Inter;
    overflow: auto;
}

.campaigns-view .card .md-preview > .md-preview-label {
    display: block;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card.active .md-preview > .md-preview-label {
    opacity: 1;
    cursor: default;
}

.campaigns-view .card button.view-target {
    width: fit-content;
    box-sizing: border-box;
    padding: 8px 12px;
    border: none;
    border-radius: 4px;
    margin-top: 24px;
    background-color: var(--focus);
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card button.view-target:hover {
    background-color: var(--focus-hard);
}

.campaigns-view .card.active button.view-target {
    opacity: 1;
}

.campaigns-view .card.new.active button.view-target {
    opacity: 0;
}

.campaigns-view .card div.enum {
    gap: 0em;
    width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-right: 6px;
    margin-top: 8px;
    background-color: var(--focus-hard);
    color: var(--text-color);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 1;
    transition: 0.6s;
    cursor: pointer;
}

.campaigns-view .card div.enum:hover {
    gap: 0.8em;
}

.campaigns-view .card div.enum > label {
    cursor: pointer;
}

.campaigns-view .card div.enum > img {
    height: auto;
    width: 0px;
    transition: 0.6s;
}

.campaigns-view .card div.enum:hover > img {
    width: 12px;
}

.campaigns-view .card .enum .placeholder.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.partner-block {
    position: relative;
    width: 100%;
    box-sizing: border-box;
    padding: 24px;
    border: 1px solid var(--focus-hard);
    border-radius: 8px;
}

.partner-block > label {
    position: absolute;
    top: -12px;
    box-sizing: border-box;
    padding: 4px 16px;
    border: 1px solid var(--focus-hard);
    border-radius: 6px;
    background-color: var(--main);
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
}